<?php

require_once '../script_php/conexao.php';
require_once '../script_php/Softcom.php';
require_once 'importar.php';
require_once 'MysqlConsulta.php';


$sql = new MysqlConsulta;

function baixarSql(){

$Softcom = new Softcom();
$dados = $Softcom->BuscarPrecoProdutos();

// Caminho para a pasta onde você deseja salvar o arquivo
$caminho_pasta = 'C:/util/';

// Nome do arquivo de texto
$nome_arquivo = $caminho_pasta . 'dados.txt';

// Abre o arquivo para escrita (se não existir, será criado)
$arquivo = fopen($nome_arquivo, 'w');

// Verifica se o arquivo foi aberto corretamente
if ($arquivo) {
    // Loop foreach para percorrer os dados e escrever no arquivo
    foreach ($dados as $linha) {
        // Escreve cada linha de dados no arquivo
        fwrite($arquivo, $linha[0] . ";" . $linha[1] . ";" . $linha[2] . ";" . round($linha[3],2) . ";" . $linha[4] .  ";" . $linha[5] . "\n");

    }
    
    // Fecha o arquivo após a escrita
    fclose($arquivo);
    
    // Verifica se o arquivo foi salvo corretamente
    if(file_exists($nome_arquivo))
    {
        //$_SESSION['msg'] = "<div class='alert alert-success'> Dados trânsferidos </div>";
        header("Location: ../impressaoPrecoLoja.php");
    
    } else {
    
    echo "Erro ao salvar o arquivo.";
        
    //informar a que baixou


    }
} else {
    echo "Erro ao abrir o arquivo.";
}


}//final da funcao que baixa os arquivos




//chamando a funcao que baixa do banco de dados
baixarSql();


$tipo = $_GET['tipo'];

//verifica se a data inicial é a mesma do dia que estamos consultando 
//$dataimportacao = $sql->buscarImportacao($data);

if ($tipo == 0){


 //impotar dados
importarDadosPreco($tipo = 'inicial');

$query = "TRUNCATE preco_atual;";
mysqli_query($conexao, $query);



}else{
    $sql->data();
    importarDadosPreco($tipo = 'atual');


}






